﻿using System;
using System.Collections.Generic;
using System.Text;

namespace AXTestService
{
    class CallAX
    {
        public Microsoft.Dynamics.AX.ManagedInterop.Session axSession = null;
        public void connectSession(string env, string lang, string companyName)
        {
            //            string s = "";
            if (Microsoft.Dynamics.AX.ManagedInterop.Session.Current == null
                        || !Microsoft.Dynamics.AX.ManagedInterop.Session.Current.isLoggedOn())
                try
                {
                    // Login to Microsoft Dynamics Ax.
                    axSession = new Microsoft.Dynamics.AX.ManagedInterop.Session();
                    axSession.Logon(companyName, lang, env, null);
                    //SPLDBHelper.insertLog();
                }
                catch (System.Exception e)
                {
                    Console.WriteLine("An error occurred in object creation or Axapta logon: {0}", e.Message);
                    throw new System.Exception("An error occurred in object creation or Axapta logon: {" + e.Message + "}");
                }
        }

        public string getDisplayMethodValue(string tablename, string methodname, Int64 recid, string dataareaid, int deci, string env = "")
        {
            connectSession(env, "en-us", dataareaid);
            string i = (string)axSession.CallStaticClassMethod("ApplicationVersion", "applBuildNo");
            //return AXClass.somemethod();
            return "";
        }
    }
}
